/* Icône à gauche */
.chantier-logo img {
  height: 80px;
  width: auto;
  margin-left: clamp(1rem, 5vw, 5rem);
  margin-top: 50px;
}

.chantier-subtitle {
  margin-left: clamp(1rem, 5vw, 5rem);
  font-weight: bold;
  margin-bottom: 100px;
}

.chantier-list {
  margin: 0;
}

.grid-series .item {
  flex: 1; /* chaque élément prend la même place */
  /* height: 240px; */
  border-radius: 16px;
  background-color: #edf6f95c;
  margin: 5px; /* optionnel : espace entre les blocs */
  display: inline-flex;
  padding: 20px;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.row-title-series {
  display: inline-flex;
  justify-content: space-between;
  width: 100%;
}

.arrow_up_right {
  height: 15px;
  width: 15px;
}

.title-index {
  margin-left: clamp(1rem, 5vw, 5rem);
  font-weight: bold;
  margin-bottom: 0px;
  margin-top: 0px;
  margin-right: 0;
  font-size: clamp(2rem, 2vw + 0.5rem, 2.5rem);
}

.header-index {
  display: flex;
  justify-content: space-between; /* titre à gauche, boutons à droite */
  align-items: center; /* centre verticalement tous les enfants */
  margin-bottom: 25px;
}

.logo-series {
  margin-right: 20px;
  height: 80px;
  width: auto;
}

.title-series {
  margin: 0;
  font-weight: bold;
}

.grid-series {
  display: grid;
  gap: 20px; /* espace entre les items */
  /* auto-fit ajuste automatiquement le nombre de colonnes */
  /* max 2 colonnes, mais elles deviennent 1 colonne si trop étroites */
  grid-template-columns: repeat(2, minmax(0, 1fr));
  margin: 20px 5%; /* centrer */
  justify-content: center;
}

@media (max-width: 1150px) {
  .grid-series {
    grid-template-columns: 1fr; /* 1 colonne si trop étroit */
  }
}

/* Version téléphone de series */
@media (max-width: 768px) {
  .grid-series .item {
    flex-direction: column; /* On met en colonne les éléments */
    text-align: left; /* centre le texte sous l'image */
    align-items: flex-start; /* aligne tout à gauche */
    padding: 15px; /* espace réduit */
  }

  .logo-series {
    margin: 0 0 10px 0; /* plus de margin-right, on met un margin-bottom */
    width: 18px;
    height: 18px;
  }

  .title-series {
    margin: 5px 0; /* espace entre le titre et la description */
    font-size: 1rem; /* réduire la taille */
  }

  .grid-series .item p {
    margin: 0;
    font-size: 0.875rem; /* taille plus petite */
  }

  .row-title-series {
    gap: 20px;
    width: auto;
    align-items: center;
  }

  .arrow_up_right {
    height: 10px;
    width: 10px;
  }
}

/* Au fil de l'eau */
.header-au-fil-de-leau {
  display: flex;
  justify-content: space-between; /* titre à gauche, boutons à droite */
  align-items: center; /* centre verticalement tous les enfants */
  margin-bottom: 25px;
}

@media (max-width: 768px) {
  .header-au-fil-de-leau {
    flex-direction: column;
    margin-bottom: 15px;
    justify-content: start; /* titre à gauche, boutons à droite */
    align-items: start; /* centre verticalement tous les enfants */
  }

  .btn-au-fil-de-leau {
    margin-left: clamp(1rem, 5vw, 5rem);
    margin-top: 15px;
  }
}
